Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class ExpressionString

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.ExpressionString

    public class ExpressionString

extends Object

Represents an expression String consisting of a mixture of Strings and Expressions.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`ExpressionString(Object[] pElements)` Constructor

Method Summary
`String` | `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates the expression string by evaluating each element, converting it to a String (using toString, or "" for null values) and concatenating the results into a single String.
`Object[]` | `getElements()`
`String` | `getExpressionString()` Returns the expression in the expression language syntax
`void` | `setElements(Object[] pElements)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionString

    public ExpressionString(Object[] pElements)

  Constructor

Method Detail

### getElements

    public Object[] getElements()

### setElements

    public void setElements(Object[] pElements)

### evaluate

    public String evaluate(Object pContext,
                           VariableResolver pResolver,
                           Map functions,
                           String defaultPrefix,
                           Logger pLogger)
                    throws ELException

  Evaluates the expression string by evaluating each element, converting it to a String (using toString, or "" for null values) and concatenating the results into a single String.

  Throws:
    `ELException`

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.